Attribute VB_Name = "Module1"
Sub ResizeFormToScreen(FrmName As Form)

    'The 'On Error Resume Next' is needed because there might be
    'some controls on the form that may not support some of the
    'properties that will be set
    On Error Resume Next
  
    'If the form's window state is minimized or maximized then exit
    If FrmName.WindowState <> 0 Then Exit Sub
  
    'Calculate the X and Y resizing ratio
    XRatio = Screen.Width / FrmName.Width
    YRatio = Screen.Height / FrmName.Height
    
    'Set the form's origin to 0,0
    FrmName.Top = 0
    FrmName.Left = 0
    
    'Resize the form's height, width, and Font Size
    FrmName.Height = FrmName.Height * YRatio
    FrmName.Width = FrmName.Width * XRatio
    FrmName.Font.Size = FrmName.Font.Size * XRatio
    

    'Loop through all the controls on the form and reposition every control
    'relative to the form origin, then resize their width, height, and
    'Font.Size properties
    For i = 0 To FrmName.Controls.Count - 1
        
        FrmName.Controls(i).Left = FrmName.Controls(i).Left * XRatio
        FrmName.Controls(i).Top = FrmName.Controls(i).Top * YRatio
        FrmName.Controls(i).Height = FrmName.Controls(i).Height * YRatio
        FrmName.Controls(i).Width = FrmName.Controls(i).Width * XRatio
        'Note: The control's font will resize only if it is a true-type font
        FrmName.Controls(i).Font.Size = FrmName.Controls(i).Font.Size * XRatio
        
    Next i

End Sub

